Skip to content

@pivotal-rabbitmq-ci pivotal-rabbitmq-ci released this May 8, 2019 · 1003 commits to master since this release

RabbitMQ 3.7.15-beta.1

RabbitMQ 3.7.15-beta.1 is a preview of a maintenance release. It focuses on bug fixes and minor usability improvements.
This release requires Erlang/OTP 20.3 or later.

Erlang/OTP Compatibility Notes

Per the new Erlang version support policy in effect starting with January 2019,
this release no longer supports Erlang/OTP 19.3.
Make sure a supported Erlang version is used before upgrading.

Provisioning Latest Erlang Releases explains
what package repositories and tools can be used to provision latest patch versions of Erlang 20.3.x and 21.x.

Compatibility Notes

Minimum Required Erlang Version

This release requires Erlang/OTP 20.3 or later.

Upgrading to Erlang 21.x

When upgrading to this release and upgrading Erlang to 21.x at the same time, extra care has to be taken.
Since CLI tools from RabbitMQ releases older than 3.7.7 will fail on Erlang 21,
RabbitMQ must be upgraded before Erlang.

Upgrade Doc Guides and Change Log

See 3.7.0 release notes upgrade
and compatibility notes if upgrading from an earlier release.

See the Upgrading guide for general documentation on upgrades
and RabbitMQ change log for release notes of other releases.

Getting Help

Any questions about this release, upgrades or RabbitMQ in general are welcome on the
RabbitMQ mailing list.

Changes

Core Server

Bug Fixes

  • rabbitmq.conf validation errors on startup unintentionally lacked a lot of relevant details.

    Contributed by Grigory Starinkin.

    GitHub issue: rabbitmq/rabbitmq-server#1985

  • Internal schema data store consistency checks used an on-disk location which could be unintentionally
    preserved between deployments and make subsequent deployments fail. Now an entirely in-memory set of tables
    is used for schema consistency checks.

    GitHub issue: rabbitmq/rabbitmq-server#1960

  • When publisher confirms had to send both positive and negative acknowledgements around the same time,
    it could be done in a way that would violate expectations of most client libraries.

    GitHub issue: rabbitmq/rabbitmq-server#1719

  • Policy validation could allow invalid values in certain cases.

    GitHub issue: rabbitmq/rabbitmq-server#1999

  • amq.rabbitmq.log exchage was lazily initialised and could be temporarily unavailable after node start.

    GitHub issue: rabbitmq/rabbitmq-server#1973

  • Clearing a policy with overflow behaviour or removing the key from it did not
    roll back the overflow behaviour to drop-head (the default).

    GitHub issue: rabbitmq/rabbitmq-server#1980

  • Missing getconf command (used to fetch platform's memory page size) is now handled more gracefully
    with a default value.

    GitHub issue: rabbitmq/rabbitmq-common#318

Enhancements

Management Plugin

Bug Fixes

  • Enabled kernel sendfile for HTTP API documentation pages could lead to leaked file descriptors
    when those pages are accessed repeatedly (e.g. a tab is always open for weeks and weeks).
    The plugin now disables sendfile for those static files by default. It can be manually enabled
    via configuration as needed.

    GitHub issue: rabbitmq/rabbitmq-management#698

  • Listing permissions could result in a 500 response.

    GitHub issue: rabbitmq/rabbitmq-management#688

  • When CORS headers were enabled, binding endpoints were inaccessible due to an exception.

    GitHub issue: rabbitmq/rabbitmq-management#687

  • An option to display message rates for the last 8 and 24 hours was hidden in the UI even when data
    for those time intervals was available.

    GitHub issue: rabbitmq/rabbitmq-management#693

  • Information unit suffix incorrectly suggested that values were powers of 10 (gigabyte) instead of
    power of 2 (gibibyte).

    GitHub issue: rabbitmq/rabbitmq-management#694

AMQP 1.0 Plugin

Bug Fixes

  • Default host specified in amqp1_0.default_vhost (rabbitmq_amqp1_0.default_vhost in classic config format)
    now takes precedence over default_vhost (rabbit.default_vhost) in the core broker.

    GitHub issue: rabbitmq/rabbitmq-amqp1.0#86

Shovel Plugin

Bug Fixes

  • Connections to source and destination nodes are now correctly closed if topology operations
    fail on either end (e.g. due to insufficient permissions).

    Contributed by Grigory Starinkin.

    GitHub issue: rabbitmq/rabbitmq-shovel#54

  • Improved handling of cases where AMQP 1.0 endpoint connection was refused access to a virtual host.

    GitHub issue: rabbitmq/rabbitmq-shovel#57

Federation Plugin

Enhancements

CLI Tools

Bug Fixes

  • Streamling list_* commands could hang when encountering an error from one of the cluster nodes.

    GitHub issue: rabbitmq/rabbitmq-cli#336

  • rabbitmqctl delete_queue -u failed argument validation due to a typo.

    GitHub issue: rabbitmq/rabbitmq-cli#339

  • rabbitmq-diagnostics cipher_suites now provides a way to display all available (not just enabled)
    cipher suites.

    GitHub issue: rabbitmq/rabbitmq-cli#342

Enhancements

Web STOMP Plugin

Enhancements

Erlang AMQP 0-9-1 Client

Bug Fixes

  • Direct connections (via Erlang distribution) from outside of a RabbitMQ should no longer fail due to
    a dependency on a module that was previously a part of core RabbitMQ broker.

    GitHub issue: rabbitmq/rabbitmq-erlang-client#91

Auth Backend Cache Plugin

Bug Fixes

Top Plugin

Bug Fixes

JMS Topic Exchange Plugin

Bug Fixes

Source code archives

Warning: The source code archive provided by GitHub only contains the source of the broker,
not the plugins or the client libraries. Please download the archive named rabbitmq-server-3.7.15.tar.xz.

Assets 38
You can’t perform that action at this time.